Skip to main content
GET
/
api
/
v3
/
sickLeaveCertificates
List SickLeaveCertificates
curl --request GET \
  --url https://{host}/api/v3/sickLeaveCertificates \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/sickLeaveCertificates"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/sickLeaveCertificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "items": [
      {
        "id": 123,
        "leavePeriodId": 123,
        "leaveAccountId": 123,
        "authorId": 123,
        "creationDate": "2023-11-07T05:31:56Z",
        "isActive": true,
        "cancellationDate": "2023-11-07T05:31:56Z",
        "cancellationUserId": 123,
        "subrogation": true,
        "subrogationStartDate": "2023-11-07T05:31:56Z",
        "subrogationEndDate": "<string>",
        "lastWorkingDay": "2023-11-07T05:31:56Z",
        "numberOfWaitingPeriodDays": 1,
        "numberOfCompensatedDays": 1,
        "partTimeActivityRate": 123,
        "earlyReturn": true,
        "extension": true,
        "comments": "<string>",
        "originalLeavePeriodId": 123,
        "accidentDate": "<string>",
        "firstObservationDate": "2023-11-07T05:31:56Z",
        "childArrivalScheduledDate": "<string>",
        "childArrivalEffectiveDate": "<string>",
        "isSingleChild": true,
        "compensationRate": 123,
        "longLastingAffection": true
      }
    ]
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

paging
string
required

{offset},{limit}. Defaults to 0,1000.

Example:

"2000,500"

leavePeriod.ownerId
integer[]

Filter out results on the related employee ID.

leavePeriod.owner.departmentId
integer[]

Filter out results on the related employee department ID.

Filter out results on the related employee legalEntity (ie business-establishment) ID.

creationDate
string

Filter out results on their creation date.

Examples:

"since,2024-01-01T09:45:23.000"

"until,2024-12-01T09:45:23.000"

"between,2024-01-01T09:45:23.999,2024-12-01T09:45:23.000"

Response

200 - application/json

OK

data
object